Subject: Re: [PATCH v5 08/17] odb: get rid of `the_repository` when handling alternates

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 1 Jul 2025 14:18:04 +0200

On Sun, Jun 29, 2025 at 09:56:05PM -0500, Justin Tobler wrote:
> On 25/06/05 08:46AM, Patrick Steinhardt wrote:
> > all callers. The functions are renamed accordingly.
> > 
> > Note that right now the situation is still somewhat weird because we end
> > up using the path provided by the object store's repository anyway. This
> > will be adapted over time though so that we instead store the path to
> > the primary object directory in the object database itself.
> 
> Just to clarify, are we walking about the path to the alternate odb? I'm
> not quite sure I follow.

Yeah, this is phrased a bit weirdly. What I wanted to say is that we
basically end up using `repo_git_path(odb->repo, ...)` anyway, so we
could have just passed in the repository itself.

I'll rephrase the commit message a bit.

Patrick